
' ----  C:\Rapidq\Proj\OCT_EXPORTING\Polynomial_Fit.inc ----  

DECLARE FUNCTION FitCurve (InputDataX() AS DOUBLE, InputDataY() AS DOUBLE, NumPts AS INTEGER, PolyOrder AS INTEGER, OutCoeff() AS DOUBLE ) AS INTEGER
DECLARE FUNCTION GetYprediction(inX AS DOUBLE, PolyOrder AS INTEGER, InCoeff() AS DOUBLE) AS DOUBLE

' ----  C:\Rapidq\Proj\OCT_EXPORTING\DiscTracking.inc ----  

DECLARE SUB DrawDiscMatch
DECLARE SUB GetOpticDiscMovement
DECLARE SUB SuggestDiscMatchToReference

' ----  C:\Rapidq\Proj\OCT_EXPORTING\Manual_RNFL_Norm.inc ----  

DECLARE SUB NormBMPClear
DECLARE SUB NormCalculate
DECLARE SUB NormForm_KeyDown (Key AS Word, Shift AS INTEGER)
DECLARE SUB NormForm_Paint
DECLARE SUB NormForm_Save
DECLARE SUB ToggleNormTemplate

' ----  C:\Rapidq\Proj\OCT_EXPORTING\Manual_RNFL_Segmentation.inc ----  

DECLARE FUNCTION CorrectLayerOutliers(TheLayer AS INTEGER, PolyOrderNum AS INTEGER, TheCutOff AS INTEGER) AS INTEGER
DECLARE FUNCTION FindChangeOnOCT(TheBMP AS QBITMAP , inX AS INTEGER , inY AS INTEGER , EndY AS INTEGER) AS INTEGER
DECLARE FUNCTION FindDecreaseOnOCT(TheBMP AS QBITMAP , inX AS INTEGER , inY AS INTEGER , EndY AS INTEGER , Thresh AS SINGLE) AS INTEGER
DECLARE FUNCTION FindIncreaseOnOCT(TheBMP AS QBITMAP , inX AS INTEGER , inY AS INTEGER , EndY AS INTEGER , Thresh AS SINGLE) AS INTEGER
DECLARE FUNCTION FindLocalMin(TheBMP AS QBITMAP , inX AS INTEGER , inY AS INTEGER , EndY AS INTEGER, RangeY AS INTEGER) AS INTEGER
DECLARE FUNCTION FindMaxDecreaseOnOCT(TheBMP AS QBITMAP , inX AS INTEGER , inY AS INTEGER , EndY AS INTEGER) AS INTEGER
DECLARE FUNCTION FindMaxEdgeChange(TheBMP AS QBITMAP , inX AS INTEGER , inY AS INTEGER , EndY AS INTEGER) AS INTEGER
DECLARE FUNCTION FindMaxIncreaseOnOCT(TheBMP AS QBITMAP , inX AS INTEGER , inY AS INTEGER , EndY AS INTEGER) AS INTEGER
DECLARE FUNCTION FindMaxOnOCT(TheBMP AS QBITMAP , inX AS INTEGER , inY AS INTEGER , EndY AS INTEGER) AS INTEGER
DECLARE FUNCTION FindMaxVertChange(TheBMP AS QBITMAP , inX AS INTEGER , inY AS INTEGER , EndY AS INTEGER) AS INTEGER
DECLARE FUNCTION FindMinOnOCT(TheBMP AS QBITMAP , inX AS INTEGER , inY AS INTEGER , EndY AS INTEGER) AS INTEGER
DECLARE FUNCTION FindZeroOnOCT(TheBMP AS QBITMAP , inX AS INTEGER , inY AS INTEGER, EndY AS INTEGER) AS INTEGER
DECLARE FUNCTION SegmentBML() AS INTEGER
DECLARE FUNCTION SegmentChoroid() AS INTEGER
DECLARE FUNCTION SegmentILM() AS INTEGER
DECLARE FUNCTION SegmentONL() AS INTEGER
DECLARE FUNCTION SegmentRNFL() AS INTEGER
DECLARE SUB CheckReverseContrast
DECLARE SUB FilterOCTForSegmentation
DECLARE SUB GetVesselMask
DECLARE SUB PrepareSmallImages(inBMP AS QBITMAP)
DECLARE SUB SegmentOCTimage

' ----  C:\Rapidq\Proj\OCT_EXPORTING\Manual_RNFL_Spline.inc ----  

DECLARE FUNCTION SplinePoint(P() AS INTEGER, t AS SINGLE) AS INTEGER
DECLARE SUB AddControlPoint(x AS INTEGER, y AS INTEGER)
DECLARE SUB AddControlPointbyDblClick(x AS INTEGER , y AS INTEGER)
DECLARE SUB CalcAllLayerSplines
DECLARE SUB ClearLoci
DECLARE SUB CtrlPtMouseDown(Button%, X%, Y%, Shift%, Sender AS QPANEL)
DECLARE SUB CtrlPtMouseMove(x AS LONG , y AS LONG , shift AS INTEGER , sender AS QPANEL)
DECLARE SUB CtrlPtMouseUp(Button%, X%, Y%, Shift%, Sender AS QPANEL)
DECLARE SUB DeleteControlPoint(NumCtrlPt AS INTEGER)
DECLARE SUB DoSegmentation
DECLARE SUB DrawSplines
DECLARE SUB GetSpline
DECLARE SUB InsertControlPoint(Sender AS QPANEL)
DECLARE SUB LayerDelete_Click(Sender AS QBUTTON)
DECLARE SUB LayerShowBox_Clicked (Sender AS QCHECKBOX)
DECLARE SUB LockAllSplines(TheFlag AS INTEGER)
DECLARE SUB MoveControlPointByCircle(x AS INTEGER, y AS INTEGER)
DECLARE SUB RemoveControlPointOutliers(TheLayer AS INTEGER, TheMaxChange AS INTEGER)
DECLARE SUB ReverseSpline
DECLARE SUB ShowSplineControlPoints( VisFlag  AS INTEGER)
DECLARE SUB SplineButton_Click
DECLARE SUB SplineMouseDown(button AS LONG , x AS LONG , y AS LONG , shift AS INTEGER)
DECLARE SUB SplineMouseMove(X AS INTEGER, Y AS INTEGER, Shift AS INTEGER)
DECLARE SUB SplineMouseUp(button AS LONG , x AS LONG , y AS LONG , shift AS INTEGER)
DECLARE SUB SwapControlPoints(indx1 AS INTEGER, indx2 AS INTEGER)

' ----  C:\Rapidq\Proj\OCT_EXPORTING\Manual_RNFL_Reference.inc ----  

DECLARE FUNCTION GenerateReferenceName() AS STRING
DECLARE FUNCTION PaintReferenceOnNorms(inList AS QSTRINGLIST) AS INTEGER
DECLARE SUB ClearReferenceData
DECLARE SUB LoadRemoveReference
DECLARE SUB RefPreview_Paint
DECLARE SUB SetCurrentAsReference
DECLARE SUB StoreReferenceData
DECLARE SUB ViewReference

' ----  C:\Rapidq\Proj\OCT_EXPORTING\Manual_RNFL_Globals.inc ----  

DECLARE FUNCTION RoundOff(TheVal AS SINGLE , Accurcy AS INTEGER) AS SINGLE
DECLARE FUNCTION Strip$(InString AS STRING) AS STRING

' ----  C:\Rapidq\Proj\OCT_EXPORTING\Manual_RNFL_1_4.bas ----  

DECLARE FUNCTION CheckDiskSize() AS INTEGER
DECLARE FUNCTION CheckEndProg() AS INTEGER
DECLARE FUNCTION CheckFovea() AS INTEGER
DECLARE FUNCTION FoveaAngle() AS SINGLE
DECLARE FUNCTION GetLayerIsPicked(x AS INTEGER, y AS INTEGER) AS INTEGER
DECLARE FUNCTION GetXMLDataFolder() AS INTEGER
DECLARE FUNCTION GetXMLValue(theTag AS STRING, theTxt AS QSTRINGLIST, ByRef stPos AS INTEGER) AS STRING
DECLARE FUNCTION LocateXMLTag(theTag AS STRING, theTxt AS QSTRINGLIST, stPos AS INTEGER) AS INTEGER
DECLARE SUB CancelOpenFolderForm
DECLARE SUB ChangeDirectories
DECLARE SUB ClearAllData
DECLARE SUB ClearFovea
DECLARE SUB DeleteAllSplines
DECLARE SUB DrawFoveaLocus
DECLARE SUB DrawLociOnSLO
DECLARE SUB DrawMatchingSegments
DECLARE SUB DrawOCTSegmentation
DECLARE SUB DrawOpticDiskLocus
DECLARE SUB DrawSLOScan
DECLARE SUB EndButn_Click
DECLARE SUB FindHeyexFile
DECLARE SUB Form_Close(ByRef Action AS INTEGER)
DECLARE SUB Form_KeyDown(Key AS WORD , Shift AS INTEGER)
DECLARE SUB Form_KeyUp(Key AS WORD, Shift AS INTEGER)
DECLARE SUB Form_MouseDown(Button AS INTEGER, X AS INTEGER, Y AS INTEGER, Shift AS INTEGER)
DECLARE SUB Form_MouseMove( X AS INTEGER, Y AS INTEGER, Shift AS INTEGER)
DECLARE SUB Form_MouseUp(Button AS INTEGER, X AS INTEGER, Y AS INTEGER, Shift AS INTEGER)
DECLARE SUB FormRepaint
DECLARE SUB GetCircleLoci
DECLARE SUB GetMatchingLoci
DECLARE SUB GetSectionLoci
DECLARE SUB InvertOCT
DECLARE SUB LinesMouseDown (Button AS INTEGER, X AS INTEGER, Y AS INTEGER, Shift AS INTEGER)
DECLARE SUB LinesMouseMove (x AS INTEGER, y AS INTEGER, Shift AS INTEGER)
DECLARE SUB LinesMouseUp (Button AS INTEGER, X AS INTEGER, Y AS INTEGER, Shift AS INTEGER)
DECLARE SUB LoadOCTImage
DECLARE SUB MedianFilter_Click
DECLARE SUB OCTMatchesVisibility_OnChange
DECLARE SUB OpenFolderFormResize
DECLARE SUB OpenXMLFolder
DECLARE SUB ParseSegmentation
DECLARE SUB ResetFovea
DECLARE SUB ResetOCTImage
DECLARE SUB ResetSLOimage
DECLARE SUB SaveButtn_Click
DECLARE SUB SetDefaultFoveaLocus
DECLARE SUB SetFoveaLocus (X AS INTEGER, Y AS INTEGER)
DECLARE SUB SetOpticDiskCenter (X AS INTEGER, Y AS INTEGER)
DECLARE SUB SkipButtn_Click
DECLARE SUB StoreData
DECLARE SUB UpdateScanRadius
